=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2011-09-18 14:57:54 +0000
+++ bzrlib/repository.py	2011-09-21 19:45:01 +0000
@@ -361,8 +361,6 @@
         # the following are part of the public API for Repository:
         self.bzrdir = a_bzrdir
         self.control_files = control_files
-        self._transport = control_files._transport
-        self.base = self._transport.base
         # for tests
         self._write_group = None
         # Additional places to query for data.
@@ -406,7 +404,7 @@
         """
         if self.__class__ is not other.__class__:
             return False
-        return (self._transport.base == other._transport.base)
+        return (self.control_url == other.control_url)
 
     def is_in_write_group(self):
         """Return True if there is an open write group.

=== modified file 'bzrlib/vf_repository.py'
--- bzrlib/vf_repository.py	2011-09-16 10:08:09 +0000
+++ bzrlib/vf_repository.py	2011-09-21 19:45:01 +0000
@@ -1207,6 +1207,8 @@
         # this construct will accept instances of those things.
         super(VersionedFileRepository, self).__init__(_format, a_bzrdir,
             control_files)
+        self._transport = control_files._transport
+        self.base = self._transport.base
         # for tests
         self._reconcile_does_inventory_gc = True
         self._reconcile_fixes_text_parents = False

